package com.tenlionsoft.oamodule.fragments;

import android.view.View;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.tenlionsoft.baselib.constant.PathConfig;
import com.tenlionsoft.baselib.core.widget.base.BaseFragment;
import com.tenlionsoft.baselib.utils.LogUtils;
import com.tenlionsoft.oamodule.R;
import com.tenlionsoft.oamodule.R2;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * 作者: adam
 * 日期: 2022/4/12 - 4:13 下午
 * 邮箱: itgaojian@163.com
 * 描述: 邮件fragment
 */
@Route(path = PathConfig.PATH_MODULE_OA_FRAGMENT_EMAIL)
public class EmailFragment extends BaseFragment {
    @BindView(R2.id.iv_add)
    ImageView mIvAdd;
    @BindView(R2.id.rl_title)
    RelativeLayout mRlTitle;
    @BindView(R2.id.et_base_search_cancel)
    EditText mEtBaseSearchCancel;
    @BindView(R2.id.tv_base_search_cancel)
    TextView mTvBaseSearchCancel;
    @BindView(R2.id.ll_base_search_cancel)
    LinearLayout mLlBaseSearchCancel;
    @BindView(R2.id.tv_inbox_num)
    TextView mTvInboxNum;
    @BindView(R2.id.rl_inbox)
    RelativeLayout mRlInbox;
    @BindView(R2.id.tv_sent_box)
    TextView mTvSentBox;
    @BindView(R2.id.tv_draft_box)
    TextView mTvDraftBox;
    @BindView(R2.id.tv_recycle_box)
    TextView mTvRecycleBox;
    @BindView(R2.id.ll_content)
    LinearLayout mLlContent;

    @Override
    protected int getContentViewId() {
        return R.layout.fragment_oa_email;
    }

    @Override
    protected void setDataToView(View dataView) {
        ButterKnife.bind(this, dataView);
        setStateView(STATE_SUCCESS);
        mSrlView.setEnableLoadMore(false);
        mSrlView.setEnableLoadMore(false);

    }

    @Override
    public void onResume() {
        super.onResume();
        //获取焦点
        LogUtils.e("email获取了焦点");
    }

    @Override
    protected void refreshView() {

    }

    @Override
    protected void loadMoreData() {

    }
}
